---
lang: en
title: 'API docs: rest.controllerroute'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.controllerroute.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [ControllerRoute](./rest.controllerroute.md)

## ControllerRoute class

A route backed by a controller

**Signature:**

```typescript
export declare class ControllerRoute<T extends object> extends BaseRoute 
```
**Extends:** [BaseRoute](./rest.baseroute.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(verb, path, spec, controllerCtor, controllerFactory, methodName)](./rest.controllerroute._constructor_.md) |  | Construct a controller based route |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [\_controllerCtor](./rest.controllerroute._controllerctor.md) | <p><code>protected</code></p><p><code>readonly</code></p> | [ControllerClass](./rest.controllerclass.md)<!-- -->&lt;T&gt; |  |
|  [\_controllerFactory](./rest.controllerroute._controllerfactory.md) | <p><code>protected</code></p><p><code>readonly</code></p> | [ControllerFactory](./rest.controllerfactory.md)<!-- -->&lt;T&gt; |  |
|  [\_controllerName](./rest.controllerroute._controllername.md) | <p><code>protected</code></p><p><code>readonly</code></p> | string |  |
|  [\_methodName](./rest.controllerroute._methodname.md) | <p><code>protected</code></p><p><code>readonly</code></p> | string |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [describe()](./rest.controllerroute.describe.md) |  |  |
|  [invokeHandler(requestContext, args)](./rest.controllerroute.invokehandler.md) |  |  |
|  [updateBindings(requestContext)](./rest.controllerroute.updatebindings.md) |  |  |


